List affiliate commissions
curl --request GET \
--url https://api.creem.io/v1/affiliates/{id}/commissions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/affiliates/{id}/commissions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/affiliates/{id}/commissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"mode": "test",
"object": "commission",
"affiliate": "aff_1234567890",
"amount": 600,
"currency": "USD",
"status": "pending",
"created_at": 123,
"sale": "tran_1234567890"
}
],
"pagination": {
"total_records": 0,
"total_pages": 0,
"current_page": 1,
"next_page": 2,
"prev_page": null
}
}Affiliate
List affiliate commissions
Retrieve a paginated list of an affiliate’s commissions. Filter by settlement status (pending, approved, paid).
GET
/
v1
/
affiliates
/
{id}
/
commissions
List affiliate commissions
Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
The unique identifier of the affiliate
Query Parameters
The settlement status of the commission. pending while on hold, approved once cleared and available, paid once settled by a payout.
Available options:
pending, approved, paid The page number for pagination.
Example:
1
The number of items per page.
Example:
10